@font-face {
  font-family: 'Marvin';
  src: url('./assets/Marvin-Round.woff2') format('woff2'),
      url('./assets/Marvin-Round.woff') format('woff'),
      url('./assets/Marvin-Round.ttf') format('truetype');
  font-weight: 500;
  font-style: normal;
  
}

html {
  font-family: 'Marvin', Arial, Helvetica, sans-serif;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7); /* x, y, desfoque, cor */
}

.hidden {
  display: none;
}

body {
  overflow: hidden;
  width: 100%;
  height: 100%;
  margin: -1px 0px 0px 0px !important;
  padding: 0;
}

#version {
  position: absolute;
  width: 100%;
  bottom: 5px;
  text-align: center;
  font-size: 10px;
  color: white;
  text-shadow: black 1px 1px 3px;
  z-index: 100;
}

#home {
  position: absolute;
  height: 100%;
  width: 100%;
  text-align: center;
  font-size: 20px;
  background-image: url('assets/bg.jpg');
  background-size: cover; /* Faz a imagem cobrir toda a tela */
  background-repeat: no-repeat; /* Impede que a imagem se repita */
  background-position: center; /* Centraliza a imagem */
  border-style: none;
  display: flex;
  flex-direction: column;  
  align-items: center;
  font-size: 20px;
  color: white;
  flex-direction: column;
  padding: auto;
}

#home button {
  width: 80%;
}

.home-out {
  animation-name: home-out;
  animation-duration: 1s;
  animation-fill-mode: forwards;
  animation-timing-function: ease-in-out;
}

.balao {
  background-image: url(./assets/balao.png);
  background-repeat: no-repeat;
  background-position: center center;
  background-size: 100%;
  width: 80%;
  filter: drop-shadow(5px 5px 15px rgba(0, 0, 0, 0.5));
}
.balao h2 {
  width: 100%;
}

@keyframes home-out {
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
  }
}

#timer {
  position: absolute;
  top: 10px;
  left: 10px;
  width: 100%;
  text-align: center;
  font-size: 20px;
  color: white;
}

#resultado {
  position: absolute;
  top: 2%;
  width: 50%;
  margin-left: 25%;
  text-align: center;
  color: white;
}

#menu {
  position: absolute;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
}

.menu-items {
  position: absolute;
  bottom: 10%;
  width: 50%;
  margin-left: 25%;
}

.popup {
  position: absolute;
  height: 90%;
  width: 80%;
  text-align: center;
  font-size: 20px;
  background-image: url('assets/bg.jpg');
  background-size: cover; /* Faz a imagem cobrir toda a tela */
  background-repeat: no-repeat; /* Impede que a imagem se repita */
  background-position: center; /* Centraliza a imagem */
  border-style: none;
  display: flex;
  flex-direction: column;  
  align-items: center;
  font-size: 20px;
  color: white;
  border-radius: 25px;
  transform: translate(10%, 5%);
  flex-direction: column;
  position: absolute;
  box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.5);
}

#registrationForm {
  display: flex;
  flex-direction: column; /* Coloca os itens em coluna */
  align-items: center; /* Centraliza horizontalmente */
  width: 80%; /* Largura do formulário */
  margin: 0 auto; /* Centraliza o formulário na tela */
  padding: 20px; /* Espaçamento interno */
  border-style: none;
  border-radius: 25px;
  height: 80%;
}

label {
  margin: 10px 0 5px; /* Espaçamento entre label e input */
  font-size: 10px;
}

h2 {
  font-size: 20px;
}

input[type="text"],
input[type="email"] {
  padding: 10px;
    margin-top: 10px;
    border: 1px #2f00ff;
    border-style: dashed;
    color: #2f00ff;
    background-color: #ffffff;
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.5);
    width: 100%;
}

input {
  color: #2f00ff;
}

input::placeholder {
  color: #2f00ff;
}

.logo{
  position: relative;
  margin-top: 5%;
  margin-bottom: 5%;
  height: 30%;
  filter: drop-shadow(5px 5px 15px rgba(0, 0, 0, 0.5));
}

#cadastro input[type="checkbox"] {
  margin: 10px 0;
  box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.5);
}

#cadastro label {
  font-size: 9px;
}

#rankingList {
  background-color: #4d0196;
    border-radius: 25px;
    align-items: flex-start;
    text-align: left;
    flex-direction: column;
    width: 80%;
    flex-direction: column;
    max-height: 100%;
    overflow-y: auto;
    padding: 10px;
    margin-bottom: 40px;
}

#rankingList h5 {
  font-size: 13px;
  margin: 5px;
  padding: 5px;
}

#rankingList ul {
  list-style-type: none;
  padding: 0;
}

#rankingList li {
  padding: 10px;
  border-bottom: 1px solid #ccc;
}

#rankingList li:last-child {
  border-bottom: none;
}

.alert {
  background-color: #f44336; /* Vermelho */
  color: white;
  padding: 15px;
  margin: 20px 0;
  border-radius: 4px;
  display: none; /* Ocultar por padrão */
}

button {
  background-color: rgb(235, 235, 0);
  color: #2f00ff;
  border-radius: 25px;
  height: 50px;
  width: 100%;
  margin-top: 15px;
  border: 2px #2f00ff;
  box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.5);
}

.hidden {
  visibility: hidden; /* Oculta o elemento, mas mantém o espaço */
}

.show {
  visibility: visible; /* Mostra o elemento */
}

.closeBtn {
  position: absolute;
    width: 50px;
    height: 50px;
    border-radius: 15px;
    color: white;
    top: 5px;
    right: 5px;
    text-align: center;
    align-content: center;
}

.closeBtn h1 {
  margin: 0;
  padding: 0;
}

#mandarCadastro {
  background-color: rgb(235, 235, 0);
  color: #2f00ff;
}

.rank_item{
  background-color: #2e037e;
  border-radius: 25px;
  box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.5);
  width: 100%;
  height: 30px;
  margin-top: 3px;
}

.rank_item h5 {
  display: inline-block; /* Alinha os itens horizontalmente */
  margin-right: 10px; /* Espaço entre os itens */
  padding: 0;
}

.rank_pos {
  color: #ffffff;
}

.rank_name {
  color: #e40072;
} 

.rank_score {
  color: #11cf00;
}
